%define version 0.1.6
%define release 1
%define name ipasserelle-stats


Summary: Statistiques web
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: ipasserelle-base
Requires: awstats

%description
Génère des statistique de consultation de vos sites web

%changelog
* Fri Mar 20 2015 Daniel Berteaud <daniel@firewall-services.com> 0.1.6-1
- Fix access prop
- Add a fragment to ignore local hosts when building stats

* Tue Oct 9 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.5-1
- Fix index page template

* Fri Oct 5 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.4-1
- Enable stats for vhosts

* Tue Sep 4 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.3-1.sme
- Update LL::NG auth prop

* Fri May 18 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.2-1.sme
- Allow full year view from CGI
- Allow stats per page for dokuwiki

* Tue Apr 03 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.0-1.sme
- initial release


%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

